package com.vazil.vridge.docs.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.data.annotation.Transient;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Document(value= "guideContent")
public class GuideContent {
    @Id
    private String id;
    private String guideId;
    private String title;
    private String content;
    private Integer like;
    private Integer view;

    @Transient
    private Guide prevContent;
    @Transient
    private Guide nextContent;

    @CreatedDate
    private LocalDateTime createDate;
    @LastModifiedDate
    private LocalDateTime updateDate;
    private LocalDateTime deleteDate;
}
